Package Details: openastro 1.1.57-2

Git Clone URL: https://aur.archlinux.org/openastro.git (read-only)
Package Base: openastro
Description: Open source fully-featured astrology software
Upstream URL: http://www.openastro.org/
Keywords: astrology horoscope
Licenses: GPL
Conflicts: openastro-dev, swisseph-fixstars, swisseph_12, swisseph_18
Submitter: None
Maintainer: Morn (iCirav)
Last Packager: Morn
Votes: 20
Popularity: 0.005386
First Submitted: 2010-03-07 21:23
Last Updated: 2019-03-09 17:48

Latest Comments

1 2 3 4 Next › Last »

chas commented on 2018-10-26 21:55

makepkg csr

==> Making package: openastro 1.1.57-1 (Fri 26 Oct 2018 04:51:53 PM CDT)

==> Checking runtime dependencies...

==> Missing dependencies:

-> python-dateutil

-> python-cairo

-> python-pytz

-> pyswisseph3

-> python-gobject

==> Checking buildtime dependencies...

==> ERROR: Could not resolve all dependencies.

Do I have to install the missing dependencies individually? (I thought that's what the "s" switch would do.)

roh93 commented on 2018-10-21 13:44

Hey,

I am facing an error in md5sum validation. Is this a known issue?

Error: ==> Validating source files with md5sums... openastro.org_1.1.56.orig.tar.gz ... FAILED openastro.org-data_1.8.orig.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check!

Update: The new version (1.1.57) is working fine. Was able to install. Thanks!

Morn commented on 2018-08-25 17:51

@tomtom_allg: Have you reinstalled pyswisseph3 for Python 3.7?

tomtom_allg commented on 2018-08-25 17:04

swisseph-Error is back:

Traceback (most recent call last): File "/usr/bin/openastro", line 46, in <module> from openastromod import zonetab, geoname, importfile, dignities, swiss as ephemeris File "/usr/lib/python3.7/site-packages/openastromod/dignities.py", line 30, in <module> import swisseph as swe ModuleNotFoundError: No module named 'swisseph'</module></module>

raininja commented on 2018-05-15 00:49

hey is anyone else getting this error?

Traceback (most recent call last): File "/usr/bin/openastro", line 6212, in <module> mainWindow() File "/usr/bin/openastro", line 2904, in init self.tempfilename = openAstro.makeSVG() File "/usr/bin/openastro", line 1615, in makeSVG<br> td['stringLat']="%s: %s" %(self.label['latitude'],self.lat2str(self.geolat)) File "/usr/bin/openastro", line 1718, in lat2str return "%s°%s'%s\" %s" % (deg,min,sec,sign) UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2: ordinal not in range(128)</module>

cloutiy commented on 2018-01-28 16:37

@morn it works now! thanks so much

Morn commented on 2018-01-28 12:21

@cloutiy: Should be fixed now too. Apparently python.org now only works with HTTPS.

cloutiy commented on 2018-01-27 23:58

@Morn

thanks, that was fast!

I have tried again but seems to be a problem getting pyswisseph (I tried both yaourt and pacman). Although not sure this is anything related to your package:

-> Downloading pyswisseph-2.00.00-2.tar.bz2... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 curl: (22) The requested URL returned error: 403 SSL is required ==> ERROR: Failure while downloading http://pypi.python.org/packages/source/p/pyswisseph/pyswisseph-2.00.00-2.tar.bz2 Aborting... ==> ERROR: Makepkg was unable to build pyswisseph3.

Morn commented on 2018-01-27 23:46

Thanks for reporting! Openastro needs Python 3 now, and I simply forgot to update that dependency (pyswisseph3). Should be fixed now.

cloutiy commented on 2018-01-27 22:55

No module named 'swisseph'

I had installed openastro under Antergos + Gnome desktop and openastro worked fine.

I recently reinstalled Antergos bu with KDE desktop. openastro installed, but I get the following when running:

openastro Traceback (most recent call last): File "/usr/bin/openastro", line 46, in <module> from openastromod import zonetab, geoname, importfile, dignities, swiss as ephemeris File "/usr/lib/python3.6/site-packages/openastromod/dignities.py", line 30, in <module> import swisseph as swe ModuleNotFoundError: No module named 'swisseph'</module></module>